## dde-daemon 5.13.12

=== Makefile ===
PREFIX = /usr
GOPATH_DIR = gopath
GOPKG_PREFIX = pkg.deepin.io/dde/daemon
GOBUILD = go build $(GO_BUILD_FLAGS)

BINARIES =  \
	    dde-session-daemon \
	    dde-system-daemon \
	    grub2 \
	    search \
	    theme-thumb-tool \
	    backlight_helper \
	    langselector \
	    soundeffect \
	    dde-lockservice \
	    dde-authority \
	    default-terminal \
	    dde-greeter-setter

LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))

all: build

prepare:
	@mkdir -p out/bin
	@if [ ! -d ${GOPATH_DIR}/src/${GOPKG_PREFIX} ]; then \
		mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX}); \
		ln -sf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX}; \
		fi

out/bin/%: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o $@  ${GOPKG_PREFIX}/bin/${@F}

out/bin/default-file-manager: bin/default-file-manager/main.c
	gcc $^ $(shell pkg-config --cflags --libs gio-unix-2.0) -o $@

out/bin/desktop-toggle: bin/desktop-toggle/main.c
	gcc $^ $(shell pkg-config --cflags --libs x11) -o $@

out/locale/%/LC_MESSAGES/dde-daemon.mo: misc/po/%.po
	mkdir -p $(@D)
	msgfmt -o $@ $<

translate: $(addsuffix /LC_MESSAGES/dde-daemon.mo, $(addprefix out/locale/, ${LANGUAGES}))

pot:
	deepin-update-pot misc/po/locale_config.ini

POLICIES=accounts Grub2 Fprintd
ts:
	for i in $(POLICIES); do \
		deepin-policy-ts-convert policy2ts misc/polkit-action/com.deepin.daemon.$$i.policy.in misc/ts/com.deepin.daemon.$$i.policy; \
	done

ts_to_policy:
	for i in $(POLICIES); do \
	deepin-policy-ts-convert ts2policy misc/polkit-action/com.deepin.daemon.$$i.policy.in misc/ts/com.deepin.daemon.$$i.policy misc/polkit-action/com.deepin.daemon.$$i.policy; \
	done

build: prepare out/bin/default-terminal out/bin/default-file-manager out/bin/desktop-toggle $(addprefix out/bin/, ${BINARIES}) ts_to_policy

test: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -v ./...

test-coverage: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -cover -v ./... | awk '$$2 ~ "_${CURDIR}" {print $$2","$$5}' | sed "s:${CURDIR}::g" | sed 's/files\]/0\.0%/g' > coverage.csv

print_gopath: prepare
	GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}"

install: build translate install-dde-data install-icons
	mkdir -pv ${DESTDIR}${PREFIX}/lib/deepin-daemon
	cp out/bin/* ${DESTDIR}${PREFIX}/lib/deepin-daemon/

	mkdir -pv ${DESTDIR}${PREFIX}/share/locale
	cp -r out/locale/* ${DESTDIR}${PREFIX}/share/locale

	mkdir -pv ${DESTDIR}${PREFIX}/share/dbus-1/system.d
	cp misc/conf/*.conf ${DESTDIR}${PREFIX}/share/dbus-1/system.d/

	mkdir -pv ${DESTDIR}${PREFIX}/share/dbus-1
	cp -r misc/services ${DESTDIR}${PREFIX}/share/dbus-1/
	cp -r misc/system-services ${DESTDIR}${PREFIX}/share/dbus-1/

	mkdir -pv ${DESTDIR}${PREFIX}/share/polkit-1/actions
	cp misc/polkit-action/*.policy ${DESTDIR}${PREFIX}/share/polkit-1/actions/

	mkdir -pv ${DESTDIR}/var/lib/polkit-1/localauthority/10-vendor.d
	cp misc/polkit-localauthority/*.pkla ${DESTDIR}/var/lib/polkit-1/localauthority/10-vendor.d/

	mkdir -pv ${DESTDIR}${PREFIX}/share/dde-daemon
	cp -r misc/dde-daemon/*   ${DESTDIR}${PREFIX}/share/dde-daemon/

	mkdir -pv ${DESTDIR}/lib/systemd/system/
	cp -f misc/systemd/services/* ${DESTDIR}/lib/systemd/system/

	mkdir -pv ${DESTDIR}/etc/pam.d/
	cp -f misc/etc/pam.d/* ${DESTDIR}/etc/pam.d/

	mkdir -pv ${DESTDIR}/etc/default/grub.d
	cp -f misc/etc/default/grub.d/* ${DESTDIR}/etc/default/grub.d

	mkdir -pv ${DESTDIR}/etc/grub.d
	cp -f misc/etc/grub.d/* ${DESTDIR}/etc/grub.d

	mkdir -pv ${DESTDIR}/etc/acpi/events
	cp -f misc/etc/acpi/events/* ${DESTDIR}/etc/acpi/events/

	mkdir -pv ${DESTDIR}/etc/acpi/actions
	cp -f misc/etc/acpi/actions/* ${DESTDIR}/etc/acpi/actions/

	mkdir -pv ${DESTDIR}/etc/pulse/daemon.conf.d
	cp -f misc/etc/pulse/daemon.conf.d/*.conf ${DESTDIR}/etc/pulse/daemon.conf.d/

	mkdir -pv ${DESTDIR}/lib/udev/rules.d
	cp -f misc/udev-rules/*.rules ${DESTDIR}/lib/udev/rules.d/

	mkdir -pv ${DESTDIR}/usr/lib/deepin-daemon/service-trigger
	cp -f misc/service-trigger/*.json ${DESTDIR}/usr/lib/deepin-daemon/service-trigger/

	mkdir -pv ${DESTDIR}/etc/NetworkManager/conf.d
	cp -f misc/etc/NetworkManager/conf.d/* ${DESTDIR}/etc/NetworkManager/conf.d/

install-dde-data:
	mkdir -pv ${DESTDIR}${PREFIX}/share/dde/
	cp -r misc/data ${DESTDIR}${PREFIX}/share/dde/

install-icons:
	python3 misc/icons/install_to_hicolor.py -d status -o out/icons misc/icons/status
	mkdir -pv ${DESTDIR}${PREFIX}/share/icons/
	cp -r out/icons/hicolor ${DESTDIR}${PREFIX}/share/icons/

clean:
	rm -rf ${GOPATH_DIR}
	rm -rf out

rebuild: clean build

check_code_quality: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go vet ./...

=== debian/changelog ===
dde-daemon (5.13.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 14 Apr 2021 16:14:34 +0800

dde-daemon (3.0.18) unstable; urgency=low

  * Autobuild Tag 3.0.18 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:46:04 +0000

dde-daemon (3.0.17) unstable; urgency=low

  * Autobuild Tag 3.0.17 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 22 Jul 2016 07:46:25 +0000

dde-daemon (3.0.16) unstable; urgency=low

  * Autobuild Tag 3.0.16 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 30 May 2016 11:50:22 +0000

dde-daemon (3.0.15) unstable; urgency=low

  * Autobuild Tag 3.0.15 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 27 May 2016 10:02:01 +0000

dde-daemon (3.0.14) unstable; urgency=low

  * Autobuild Tag 3.0.14 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 26 May 2016 09:11:00 +0000

dde-daemon (3.0.13) unstable; urgency=low

  * Autobuild Tag 3.0.13 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 11:38:25 +0000

dde-daemon (3.0.11) unstable; urgency=low

  * Autobuild Tag 3.0.11 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 24 Feb 2016 16:58:42 +0000

dde-daemon (3.0.10) unstable; urgency=low

  * Autobuild Tag 3.0.10 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 22 Feb 2016 16:38:06 +0000

dde-daemon (3.0.7) stable; urgency=low

  * Autobuild Tag 3.0.7 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 27 Jan 2016 21:40:25 +0000

dde-daemon (3.0.6) stable; urgency=low

  * Autobuild Tag 3.0.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 22 Jan 2016 19:33:15 +0000

dde-daemon (3.0.5) stable; urgency=low

  * Autobuild Tag 3.0.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 20 Jan 2016 20:07:25 +0000

dde-daemon (3.0.3) stable; urgency=low

  * Autobuild Tag 3.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 12 Jan 2016 18:01:29 +0000

dde-daemon (3.0.2) stable; urgency=low

  * Autobuild Tag 3.0.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 30 Dec 2015 20:48:37 +0000

dde-daemon (3.0.1) stable; urgency=low

  * Autobuild Tag 3.0.1 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 21:19:13 +0000

dde-daemon (3.0.0) stable; urgency=low

  * Autobuild Tag 3.0.0 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 20:41:11 +0000

dde-daemon (2.93.5) stable; urgency=low

  * Autobuild Tag 2.93.5 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 13:06:54 +0000

dde-daemon (2.93.4) stable; urgency=low

  * Autobuild Tag 2.93.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 10 Dec 2015 20:29:24 +0000

dde-daemon (2.93.3) stable; urgency=low

  * Autobuild Tag 2.93.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 10 Dec 2015 10:49:07 +0000

dde-daemon (2.93.2) stable; urgency=low

  * Autobuild Tag 2.93.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 21:54:19 +0000

dde-daemon (2.93.1) stable; urgency=low

  * Autobuild Tag 2.93.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 10:04:52 +0000

dde-daemon (2.93.0) stable; urgency=low

  * Autobuild Tag 2.93.0 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 09:22:43 +0000

dde-daemon (2.92.2) stable; urgency=low

  * Autobuild Tag 2.92.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 06 Aug 2015 10:11:24 +0000

dde-daemon (2.92.1) stable; urgency=low

  * Autobuild Tag 2.92.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 06 Aug 2015 09:55:44 +0000

dde-daemon (2.91.0) stable; urgency=low

  * Autobuild Tag 2.91.0 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 02 Jul 2015 16:25:32 +0000

=== debian/control ===
Source: dde-daemon
Section: admin
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 dde-api-dev (>> 3.17.1+),
 debhelper-compat (= 11),
 deepin-desktop-schemas,
 deepin-gettext-tools,
 golang-dlib-dev(>> 5.1.0+),
 golang-gir-gio-2.0-dev (>> 1.2.0+),
 golang-gir-glib-2.0-dev (>> 1.2.0+),
 golang-gir-gobject-2.0-dev (>> 1.2.0+),
 golang-gir-gudev-1.0-dev (>> 1.2.0+),
 golang-github-axgle-mahonia-dev,
 golang-github-davecgh-go-spew-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-gosexy-gettext-dev,
 golang-github-jinzhu-gorm-dev,
 golang-github-kelvins-sunrisesunset-dev,
 golang-github-linuxdeepin-go-dbus-factory-dev (>= 1.4.0),
 golang-github-linuxdeepin-go-x11-client-dev (>= 0.0.4),
 golang-github-lofanmi-pinyin-dev,
 golang-github-mattn-go-sqlite3-dev,
 golang-github-mozillazg-go-pinyin-dev,
 golang-github-msteinert-pam-dev,
 golang-github-nfnt-resize-dev,
 golang-github-rickb777-date-dev,
 golang-github-smartystreets-goconvey-dev,
 golang-github-teambition-rrule-go-dev,
 golang-go,
 golang-golang-x-sys-dev,
 golang-golang-x-xerrors-dev,
 golang-gopkg-check.v1-dev,
 golang-gopkg-yaml.v2-dev,
 libfontconfig1-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libinput-dev,
 libnl-3-dev,
 libnl-genl-3-dev,
 librsvg2-bin,
 libudev-dev,
 libx11-dev,
 libxcb-record0-dev,
 libxcb1-dev,
 libxcursor-dev,
 libxfixes-dev,
 libxi-dev,
 libxkbfile-dev,
 libxtst-dev,
 python3,
Standards-Version: 4.5.1
Homepage: http://www.deepin.org

Package: dde-daemon
Architecture: any
Depends:
 bamfdaemon,
 bluez-obexd,
 cgroup-tools,
 dbus,
 dde-api (>> 3.17.1+),
 dde-polkit-agent,
 deepin-desktop-schemas (>> 5.1.2+),
 deepin-installer-timezones,
 deepin-sound-theme,
 deepin-wm | deepin-metacity | dde-kwin,
 dmidecode,
 dnsmasq-base,
 gnome-keyring,
 gvfs-bin,
 hwinfo,
 imwheel,
 iso-codes,
 lastore-daemon,
 libfprint0,
 libnl-3-200,
 libnl-genl-3-200,
 libnotify-bin,
 libpam-runtime (>= 1.1.3-2~),
 libpam0g,
 mobile-broadband-provider-info,
 network-manager,
 procps,
 rfkill,
 user-setup,
 xdotool,
 xkb-data,
 ${dist:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 lastore-daemon(<< 0.9.64),
Replaces:
 lastore-daemon(<< 0.9.64),
Conflicts:
 dde-workspace,
 lastore-daemon-migration,
Provides:
 lastore-daemon-migration,
Recommends:
 flatpak,
 iio-sensor-proxy,
 laptop-mode-tools,
 proxychains4,
Suggests:
 bluez (>=5.4),
 miraclecast,
 network-manager-l2tp,
 network-manager-openconnect,
 network-manager-openvpn,
 network-manager-pptp,
 network-manager-sstp,
 network-manager-vpnc,
 xserver-xorg-input-synaptics,
 xserver-xorg-input-wacom,
Description: daemon handling the DDE session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a DDE session and the applications that run
 under it.

## dde-daemon 5.14.18

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 PREFIX = /usr
 GOPATH_DIR = gopath
-GOPKG_PREFIX = pkg.deepin.io/dde/daemon
+GOPKG_PREFIX = github.com/linuxdeepin/dde-daemon
 GOBUILD = go build $(GO_BUILD_FLAGS)
+export GO111MODULE=off
+export GOPATH=$(shell go env GOPATH)
 
 BINARIES =  \
 	    dde-session-daemon \
@@ -19,23 +21,23 @@
 
 LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))
 
+CFLAGS = -W -Wall -fno-stack-protector
+
 all: build
 
 prepare:
 	@mkdir -p out/bin
-	@if [ ! -d ${GOPATH_DIR}/src/${GOPKG_PREFIX} ]; then \
-		mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX}); \
-		ln -sf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX}; \
-		fi
+	@mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX});
+	@ln -snf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX};
 
 out/bin/%: prepare
-	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o $@  ${GOPKG_PREFIX}/bin/${@F}
+	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o $@ ${GOBUILD_OPTIONS} ${GOPKG_PREFIX}/bin/${@F}
 
 out/bin/default-file-manager: bin/default-file-manager/main.c
-	gcc $^ $(shell pkg-config --cflags --libs gio-unix-2.0) -o $@
+	gcc $^ $(shell pkg-config --cflags --libs gio-unix-2.0) $(CFLAGS) -o $@
 
 out/bin/desktop-toggle: bin/desktop-toggle/main.c
-	gcc $^ $(shell pkg-config --cflags --libs x11) -o $@
+	gcc $^ $(shell pkg-config --cflags --libs x11) $(CFLAGS) -o $@
 
 out/locale/%/LC_MESSAGES/dde-daemon.mo: misc/po/%.po
 	mkdir -p $(@D)
@@ -57,7 +59,7 @@
 	deepin-policy-ts-convert ts2policy misc/polkit-action/com.deepin.daemon.$$i.policy.in misc/ts/com.deepin.daemon.$$i.policy misc/polkit-action/com.deepin.daemon.$$i.policy; \
 	done
 
-build: prepare out/bin/default-terminal out/bin/default-file-manager out/bin/desktop-toggle $(addprefix out/bin/, ${BINARIES}) ts_to_policy
+build: prepare out/bin/default-terminal out/bin/default-file-manager out/bin/desktop-toggle $(addprefix out/bin/, ${BINARIES}) ts_to_policy icons translate
 
 test: prepare
 	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -v ./...
@@ -68,9 +70,9 @@
 print_gopath: prepare
 	GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}"
 
-install: build translate install-dde-data install-icons
+install: build install-dde-data install-icons
 	mkdir -pv ${DESTDIR}${PREFIX}/lib/deepin-daemon
-	cp out/bin/* ${DESTDIR}${PREFIX}/lib/deepin-daemon/
+	cp -f out/bin/* ${DESTDIR}${PREFIX}/lib/deepin-daemon/
 
 	mkdir -pv ${DESTDIR}${PREFIX}/share/locale
 	cp -r out/locale/* ${DESTDIR}${PREFIX}/share/locale
@@ -100,8 +102,8 @@
 	mkdir -pv ${DESTDIR}/etc/default/grub.d
 	cp -f misc/etc/default/grub.d/* ${DESTDIR}/etc/default/grub.d
 
-	mkdir -pv ${DESTDIR}/etc/grub.d
-	cp -f misc/etc/grub.d/* ${DESTDIR}/etc/grub.d
+	mkdir -pv ${DESTDIR}/etc/deepin
+	cp -f misc/etc/deepin/* ${DESTDIR}/etc/deepin
 
 	mkdir -pv ${DESTDIR}/etc/acpi/events
 	cp -f misc/etc/acpi/events/* ${DESTDIR}/etc/acpi/events/
@@ -121,12 +123,24 @@
 	mkdir -pv ${DESTDIR}/etc/NetworkManager/conf.d
 	cp -f misc/etc/NetworkManager/conf.d/* ${DESTDIR}/etc/NetworkManager/conf.d/
 
+	mkdir -pv ${DESTDIR}/etc/lightdm/deepin/
+	cp -f misc/xsettings/xsettingsd.conf ${DESTDIR}/etc/lightdm/deepin/
+
+	mkdir -pv ${DESTDIR}${PREFIX}/libexec/dde-daemon/
+	cp -r misc/libexec/dde-daemon/* ${DESTDIR}${PREFIX}/libexec/dde-daemon/
+
+	mkdir -pv ${DESTDIR}${PREFIX}/share/dsg/apps/dde-session-daemon/configs
+	cp -r gesture/*.json ${DESTDIR}${PREFIX}/share/dsg/apps/dde-session-daemon/configs/
+
+
 install-dde-data:
 	mkdir -pv ${DESTDIR}${PREFIX}/share/dde/
 	cp -r misc/data ${DESTDIR}${PREFIX}/share/dde/
 
-install-icons:
+icons:
 	python3 misc/icons/install_to_hicolor.py -d status -o out/icons misc/icons/status
+
+install-icons: icons
 	mkdir -pv ${DESTDIR}${PREFIX}/share/icons/
 	cp -r out/icons/hicolor ${DESTDIR}${PREFIX}/share/icons/

=== debian/changelog ===
dde-daemon (5.14.18-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 03 Mar 2022 17:49:24 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 11),
  deepin-desktop-schemas,
  deepin-gettext-tools,
- golang-dlib-dev(>> 5.1.0+),
+ golang-github-linuxdeepin-go-lib-dev(>> 5.1.0+),
  golang-gir-gio-2.0-dev (>> 1.2.0+),
  golang-gir-glib-2.0-dev (>> 1.2.0+),
  golang-gir-gobject-2.0-dev (>> 1.2.0+),
@@ -64,6 +64,7 @@
  dde-polkit-agent,
  deepin-desktop-schemas (>> 5.1.2+),
  deepin-installer-timezones,
+ deepin-proxy,
  deepin-sound-theme,
  deepin-wm | deepin-metacity | dde-kwin,
  dmidecode,
@@ -72,6 +73,7 @@
  gvfs-bin,
  hwinfo,
  imwheel,
+ ipwatchd (>> 1.2.1+),
  iso-codes,
  lastore-daemon,
  libfprint0,
@@ -80,6 +82,7 @@
  libnotify-bin,
  libpam-runtime (>= 1.1.3-2~),
  libpam0g,
+ libnss-myhostname,
  mobile-broadband-provider-info,
  network-manager,
  procps,

## dde-daemon 5.14.44

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))
 
-CFLAGS = -W -Wall -fno-stack-protector
+CFLAGS = -W -Wall -fPIC -fstack-protector-all -z relro -z noexecstack -z now -pie
 
 all: build
 
@@ -129,9 +129,8 @@
 	mkdir -pv ${DESTDIR}${PREFIX}/libexec/dde-daemon/
 	cp -r misc/libexec/dde-daemon/* ${DESTDIR}${PREFIX}/libexec/dde-daemon/
 
-	mkdir -pv ${DESTDIR}${PREFIX}/share/dsg/apps/dde-session-daemon/configs
-	cp -r gesture/*.json ${DESTDIR}${PREFIX}/share/dsg/apps/dde-session-daemon/configs/
-
+	mkdir -pv ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.daemon/
+	cp -r gesture/*.json ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.daemon/
 
 install-dde-data:
 	mkdir -pv ${DESTDIR}${PREFIX}/share/dde/

=== debian/changelog ===
dde-daemon (5.14.44-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 16 May 2022 16:36:32 +0800

=== debian/control ===
--- 
+++ 
@@ -107,6 +107,7 @@
  iio-sensor-proxy,
  laptop-mode-tools,
  proxychains4,
+ mesa-utils,
 Suggests:
  bluez (>=5.4),
  miraclecast,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export GOCACHE = /tmp/gocache
export GOPATH = /usr/share/gocode

SYSTYPE=Desktop
SYSTYPE=$(shell cat /etc/deepin-version | grep Type= | awk -F'=' '{print $$2}')

ifeq ($(SYSTYPE), Desktop)
override_dh_gencontrol:
	dh_gencontrol -- -Vdist:Depends="fprintd, libpam-fprintd"
endif

ifneq ($(DEB_BUILD_ARCH), mips64el)
	export GOBUILD_OPTIONS=-ldflags '-linkmode=external -extldflags "-pie"'
endif

%:
	dh $@

ifeq ($(DEB_BUILD_ARCH), sw_64)
override_dh_strip:
	true
override_dh_auto_test:
	true
endif

ifeq ($(DEB_BUILD_ARCH), mipsel)
override_dh_auto_configure:
	# mate-screenshot -a grab the area screen
	sed -i 's|"deepin-screenshot"|"mate-screenshot -a"|g' misc/dde-daemon/keybinding/system_actions.json
	# mate-screenshot grab the full screen
	sed -i 's|"deepin-screenshot -f"|"mate-screenshot"|g' misc/dde-daemon/keybinding/system_actions.json
	sed -i 's|deepin-screenshot|mate-screenshot|g' misc/dde-daemon/keybinding/system_actions.json

	dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	rm debian/dde-daemon/etc/default/grub.d/10_deepin.cfg
	rm debian/dde-daemon/etc/grub.d/35_deepin_gfxmode
endif

ifeq ($(DEB_BUILD_ARCH), mips64el)
override_dh_auto_install:
	dh_auto_install
	rm debian/dde-daemon/etc/default/grub.d/10_deepin.cfg
	install -d debian/dde-daemon/lib/systemd/system-sleep/
	install misc/scripts/dde-system-daemon-power-refresh.sh debian/dde-daemon/lib/systemd/system-sleep/
endif

override_dh_installsystemd:
	dh_installsystemd --no-start

## dde-daemon 5.14.58

=== debian/changelog ===
dde-daemon (5.14.58-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 28 Jun 2022 11:00:35 +0800

=== debian/control ===
--- 
+++ 
@@ -49,6 +49,7 @@
  libxi-dev,
  libxkbfile-dev,
  libxtst-dev,
+ libddcutil-dev,
  python3,
 Standards-Version: 4.5.1
 Homepage: http://www.deepin.org

## dde-daemon 5.14.97

=== Makefile ===
--- 
+++ 
@@ -130,7 +130,7 @@
 	cp -r misc/libexec/dde-daemon/* ${DESTDIR}${PREFIX}/libexec/dde-daemon/
 
 	mkdir -pv ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.daemon/
-	cp -r gesture/*.json ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.daemon/
+	cp -r misc/dsg-configs/*.json ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.daemon/
 
 install-dde-data:
 	mkdir -pv ${DESTDIR}${PREFIX}/share/dde/

=== debian/changelog ===
dde-daemon (5.14.97-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 13 Aug 2022 14:08:01 +0800

=== debian/control ===
--- 
+++ 
@@ -71,13 +71,13 @@
  dmidecode,
  dnsmasq-base,
  gnome-keyring,
- gvfs-bin,
+ libglib2.0-bin,
  hwinfo,
  imwheel,
- ipwatchd (>> 1.2.1+),
+ ipwatchd,
  iso-codes,
  lastore-daemon,
- libfprint0,
+ libfprint0 | libfprint | libfprint-2-2,
  libnl-3-200,
  libnl-genl-3-200,
  libnotify-bin,
@@ -91,6 +91,7 @@
  user-setup,
  xdotool,
  xkb-data,
+ dde-dconfig-daemon,
  ${dist:Depends},
  ${misc:Depends},
  ${shlibs:Depends},

## dde-daemon 5.14.100

=== Makefile ===
--- 
+++ 
@@ -92,6 +92,7 @@
 
 	mkdir -pv ${DESTDIR}${PREFIX}/share/dde-daemon
 	cp -r misc/dde-daemon/*   ${DESTDIR}${PREFIX}/share/dde-daemon/
+	cp -r misc/usr/share/deepin ${DESTDIR}${PREFIX}/share/
 
 	mkdir -pv ${DESTDIR}/lib/systemd/system/
 	cp -f misc/systemd/services/* ${DESTDIR}/lib/systemd/system/

=== debian/changelog ===
dde-daemon (5.14.100-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 27 Aug 2022 10:35:12 +0800

## dde-daemon 5.14.104

=== debian/changelog ===
dde-daemon (5.14.104-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 15 Sep 2022 13:16:47 +0800

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,8 @@
  golang-golang-x-xerrors-dev,
  golang-gopkg-check.v1-dev,
  golang-gopkg-yaml.v2-dev,
+ golang-google-protobuf-dev,
+ golang-github-mdlayher-netlink-dev,
  libfontconfig1-dev,
  libglib2.0-dev,
  libgtk-3-dev,

## dde-daemon 5.14.115

=== debian/changelog ===
dde-daemon (5.14.115-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Oct 2022 14:08:17 +0800

## dde-daemon 5.14.137.2

=== network/nm_generator/Makefile ===
GO15VENDOREXPERIMENT=0

.PHONY: nm_consts_gen.yml
nm_consts_gen.yml:
	./gen_nm_consts.py --gir /usr/share/gir-1.0/NM-1.0.gir --output ./nm_consts_gen.yml

gen-nm-code: nm_consts_gen.yml
	mkdir -p ../nm
	go run $(shell find -type f -iname "*.go" -not -iname "*test.go") --output-consts ../nm/nm_consts_gen.go --output-beans ../nm_setting_beans_gen.go
	gofmt -w ../nm/nm_consts_gen.go
	gofmt -w ../nm_setting_beans_gen.go

=== debian/changelog ===
dde-daemon (5.14.137.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 12 Apr 2023 17:24:46 +0800

dde-daemon (5.14.129) unstable; urgency=low

  * bump version to 5.14.129

 -- lichangze <lichangze@uniontech.com>  Wed, 11 Jan 2023 16:10:24 +0800

dde-daemon (5.14.128) unstable; urgency=low

  * bump version to 5.14.128

 -- lichangze <lichangze@uniontech.com>  Fri, 6 Jan 2023 14:20:05 +0000

dde-daemon (5.14.127) unstable; urgency=low

  * bump version to 5.14.127

 -- lichangze <lichangze@uniontech.com>  Tue, 3 Jan 2023 18:17:21 +0000

dde-daemon (5.14.126) unstable; urgency=low

  * bump version to 5.14.126

 -- lichangze <lichangze@uniontech.com>  Tue, 3 Jan 2023 15:04:21 +0000

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
  golang-gopkg-yaml.v2-dev,
  golang-google-protobuf-dev,
  golang-github-mdlayher-netlink-dev,
+ golang-github-jouyouyun-hardware-dev,
  libfontconfig1-dev,
  libglib2.0-dev,
  libgtk-3-dev,

## dde-daemon 6.0.44

=== Makefile ===
--- 
+++ 
@@ -2,22 +2,112 @@
 GOPATH_DIR = gopath
 GOPKG_PREFIX = github.com/linuxdeepin/dde-daemon
 GOBUILD = go build $(GO_BUILD_FLAGS)
-export GO111MODULE=off
 export GOPATH=$(shell go env GOPATH)
+
+ifneq (${shell uname -m}, mips64el)
+    GOBUILD_OPTIONS = -ldflags '-linkmode=external -extldflags "-pie"'
+endif
+
+
+
+TEST = \
+    ${GOPKG_PREFIX}/accounts1 \
+    ${GOPKG_PREFIX}/accounts1/checkers \
+    ${GOPKG_PREFIX}/accounts1/logined \
+    ${GOPKG_PREFIX}/accounts1/users \
+    ${GOPKG_PREFIX}/appinfo \
+    ${GOPKG_PREFIX}/apps \
+    ${GOPKG_PREFIX}/audio1 \
+    ${GOPKG_PREFIX}/bin/backlight_helper \
+    ${GOPKG_PREFIX}/bin/backlight_helper/ddcci \
+    ${GOPKG_PREFIX}/bin/dde-authority \
+    ${GOPKG_PREFIX}/bin/dde-greeter-setter \
+    ${GOPKG_PREFIX}/bin/dde-lockservice \
+    ${GOPKG_PREFIX}/bin/dde-session-daemon \
+    ${GOPKG_PREFIX}/bin/dde-system-daemon \
+    ${GOPKG_PREFIX}/bin/default-terminal \
+    ${GOPKG_PREFIX}/bin/grub2 \
+    ${GOPKG_PREFIX}/bin/langselector \
+    ${GOPKG_PREFIX}/bin/search \
+    ${GOPKG_PREFIX}/bin/soundeffect \
+    ${GOPKG_PREFIX}/bin/user-config \
+    ${GOPKG_PREFIX}/bluetooth1 \
+    ${GOPKG_PREFIX}/calltrace \
+    ${GOPKG_PREFIX}/clipboard1 \
+    ${GOPKG_PREFIX}/clipboard1/mocks \
+    ${GOPKG_PREFIX}/common/bluetooth \
+    ${GOPKG_PREFIX}/common/dsync \
+    ${GOPKG_PREFIX}/common/sessionmsg \
+    ${GOPKG_PREFIX}/dbus \
+    ${GOPKG_PREFIX}/debug \
+    ${GOPKG_PREFIX}/fprintd1 \
+    ${GOPKG_PREFIX}/fprintd1/common \
+    ${GOPKG_PREFIX}/gesture \
+    ${GOPKG_PREFIX}/graph \
+    ${GOPKG_PREFIX}/grub2 \
+    ${GOPKG_PREFIX}/grub_common \
+    ${GOPKG_PREFIX}/grub_gfx \
+    ${GOPKG_PREFIX}/housekeeping \
+    ${GOPKG_PREFIX}/image_effect1 \
+    ${GOPKG_PREFIX}/inputdevices \
+    ${GOPKG_PREFIX}/inputdevices/iso639 \
+    ${GOPKG_PREFIX}/iw \
+    ${GOPKG_PREFIX}/keybinding \
+    ${GOPKG_PREFIX}/keybinding/shortcuts \
+    ${GOPKG_PREFIX}/keybinding/util \
+    ${GOPKG_PREFIX}/langselector1 \
+    ${GOPKG_PREFIX}/lastore1 \
+    ${GOPKG_PREFIX}/loader \
+    ${GOPKG_PREFIX}/network \
+    ${GOPKG_PREFIX}/network/nm \
+    ${GOPKG_PREFIX}/network/nm_generator \
+    ${GOPKG_PREFIX}/network/proxychains \
+    ${GOPKG_PREFIX}/screenedge1 \
+    ${GOPKG_PREFIX}/screensaver1 \
+    ${GOPKG_PREFIX}/service_trigger \
+    ${GOPKG_PREFIX}/session/common \
+    ${GOPKG_PREFIX}/session/eventlog \
+    ${GOPKG_PREFIX}/session/power1 \
+    ${GOPKG_PREFIX}/session/uadpagent1 \
+    ${GOPKG_PREFIX}/sessionwatcher1 \
+    ${GOPKG_PREFIX}/soundeffect1 \
+    ${GOPKG_PREFIX}/system/airplane_mode1 \
+    ${GOPKG_PREFIX}/system/bluetooth1 \
+    ${GOPKG_PREFIX}/system/display \
+    ${GOPKG_PREFIX}/system/gesture \
+    ${GOPKG_PREFIX}/system/hostname \
+    ${GOPKG_PREFIX}/system/inputdevices \
+    ${GOPKG_PREFIX}/system/keyevent \
+    ${GOPKG_PREFIX}/system/lang \
+    ${GOPKG_PREFIX}/system/network \
+    ${GOPKG_PREFIX}/system/power1 \
+    ${GOPKG_PREFIX}/system/power_manager1 \
+    ${GOPKG_PREFIX}/system/resource_ctl \
+    ${GOPKG_PREFIX}/system/scheduler \
+    ${GOPKG_PREFIX}/system/swapsched1 \
+    ${GOPKG_PREFIX}/system/systeminfo1 \
+    ${GOPKG_PREFIX}/system/timedate1 \
+    ${GOPKG_PREFIX}/system/uadp1 \
+    ${GOPKG_PREFIX}/systeminfo1 \
+    ${GOPKG_PREFIX}/timedate1 \
+    ${GOPKG_PREFIX}/trayicon1 \
+    ${GOPKG_PREFIX}/x_event_monitor1 \
+    ${GOPKG_PREFIX}/bin/default-file-manager
+    #${GOPKG_PREFIX}/timedate1/zoneinfo \
 
 BINARIES =  \
 	    dde-session-daemon \
 	    dde-system-daemon \
 	    grub2 \
 	    search \
-	    theme-thumb-tool \
 	    backlight_helper \
 	    langselector \
 	    soundeffect \
 	    dde-lockservice \
 	    dde-authority \
 	    default-terminal \
-	    dde-greeter-setter
+	    dde-greeter-setter \
+	    default-file-manager
 
 LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))
 
@@ -33,9 +123,6 @@
 out/bin/%: prepare
 	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o $@ ${GOBUILD_OPTIONS} ${GOPKG_PREFIX}/bin/${@F}
 
-out/bin/default-file-manager: bin/default-file-manager/main.c
-	gcc $^ $(shell pkg-config --cflags --libs gio-unix-2.0) $(CFLAGS) -o $@
-
 out/bin/desktop-toggle: bin/desktop-toggle/main.c
 	gcc $^ $(shell pkg-config --cflags --libs x11) $(CFLAGS) -o $@
 
@@ -48,22 +135,21 @@
 pot:
 	deepin-update-pot misc/po/locale_config.ini
 
-POLICIES=accounts Grub2 Fprintd
+POLICIES=accounts grub2 fprintd
 ts:
 	for i in $(POLICIES); do \
-		deepin-policy-ts-convert policy2ts misc/polkit-action/com.deepin.daemon.$$i.policy.in misc/ts/com.deepin.daemon.$$i.policy; \
+		deepin-policy-ts-convert policy2ts misc/polkit-action/org.deepin.dde.$$i.policy.in misc/ts/org.deepin.dde.$$i.policy; \
 	done
 
 ts_to_policy:
 	for i in $(POLICIES); do \
-	deepin-policy-ts-convert ts2policy misc/polkit-action/com.deepin.daemon.$$i.policy.in misc/ts/com.deepin.daemon.$$i.policy misc/polkit-action/com.deepin.daemon.$$i.policy; \
+	deepin-policy-ts-convert ts2policy misc/polkit-action/org.deepin.dde.$$i.policy.in misc/ts/org.deepin.dde.$$i.policy misc/polkit-action/org.deepin.dde.$$i.policy; \
 	done
 
 build: prepare out/bin/default-terminal out/bin/default-file-manager out/bin/desktop-toggle $(addprefix out/bin/, ${BINARIES}) ts_to_policy icons translate
 
 test: prepare
-	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -v ./...
-
+	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -v ${TEST}
 test-coverage: prepare
 	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -cover -v ./... | awk '$$2 ~ "_${CURDIR}" {print $$2","$$5}' | sed "s:${CURDIR}::g" | sed 's/files\]/0\.0%/g' > coverage.csv
 
@@ -94,8 +180,14 @@
 	cp -r misc/dde-daemon/*   ${DESTDIR}${PREFIX}/share/dde-daemon/
 	cp -r misc/usr/share/deepin ${DESTDIR}${PREFIX}/share/
 
+	mkdir -pv ${DESTDIR}/lib/systemd/user/
+	cp -f misc/systemd/services/* ${DESTDIR}/lib/systemd/user/
+
+	mkdir -p $(DESTDIR)$(PREFIX)/lib/systemd/user/dde-session-initialized.target.wants/
+	ln -s $(PREFIX)/lib/systemd/user/org.dde.session.Daemon1.service $(DESTDIR)$(PREFIX)/lib/systemd/user/dde-session-initialized.target.wants/org.dde.session.Daemon1.service
+
 	mkdir -pv ${DESTDIR}/lib/systemd/system/
-	cp -f misc/systemd/services/* ${DESTDIR}/lib/systemd/system/
+	cp -f misc/systemd/system-services/* ${DESTDIR}/lib/systemd/system/
 
 	mkdir -pv ${DESTDIR}/etc/pam.d/
 	cp -f misc/etc/pam.d/* ${DESTDIR}/etc/pam.d/
@@ -118,24 +210,23 @@
 	mkdir -pv ${DESTDIR}/lib/udev/rules.d
 	cp -f misc/udev-rules/*.rules ${DESTDIR}/lib/udev/rules.d/
 
-	mkdir -pv ${DESTDIR}/usr/lib/deepin-daemon/service-trigger
-	cp -f misc/service-trigger/*.json ${DESTDIR}/usr/lib/deepin-daemon/service-trigger/
+	mkdir -pv ${DESTDIR}${PREFIX}/lib/deepin-daemon/service-trigger
+	cp -f misc/service-trigger/*.json ${DESTDIR}${PREFIX}/lib/deepin-daemon/service-trigger/
 
 	mkdir -pv ${DESTDIR}/etc/NetworkManager/conf.d
 	cp -f misc/etc/NetworkManager/conf.d/* ${DESTDIR}/etc/NetworkManager/conf.d/
 
-	mkdir -pv ${DESTDIR}/etc/lightdm/deepin/
-	cp -f misc/xsettings/xsettingsd.conf ${DESTDIR}/etc/lightdm/deepin/
-
 	mkdir -pv ${DESTDIR}${PREFIX}/libexec/dde-daemon/
 	cp -r misc/libexec/dde-daemon/* ${DESTDIR}${PREFIX}/libexec/dde-daemon/
 
 	mkdir -pv ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.daemon/
 	cp -r misc/dsg-configs/*.json ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.daemon/
 
+	cp -f misc/scripts/dde-lock.sh ${DESTDIR}${PREFIX}/lib/deepin-daemon/
+	cp -f misc/scripts/dde-shutdown.sh ${DESTDIR}${PREFIX}/lib/deepin-daemon/
 install-dde-data:
 	mkdir -pv ${DESTDIR}${PREFIX}/share/dde/
-	cp -r misc/data ${DESTDIR}${PREFIX}/share/dde/
+	cp -r misc/data misc/zoneinfo ${DESTDIR}${PREFIX}/share/dde/
 
 icons:
 	python3 misc/icons/install_to_hicolor.py -d status -o out/icons misc/icons/status

=== debian/changelog ===
dde-daemon (6.0.44) unstable; urgency=medium

  * chore: 修改默认greeter壁纸 (#645)
  * feat: TreeLand display service special handlle

 -- fuleyi <fuleyi@uniontech.com>  Fri, 09 Aug 2024 14:27:29 +0800

dde-daemon (6.0.43) unstable; urgency=medium

  * bump version to 6.0.43

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 13:36:08 +0800

dde-daemon (6.0.42) unstable; urgency=medium

  * Release to 6.0.42

 -- Yingzhen zhao <zhaoyingzhen@uniontech.com>  Fri, 06 Jul 2024 17:28:26 +0800

dde-daemon (6.0.41) unstable; urgency=medium

  * Add translations of dde-control-center in notification titles

 -- Yutao Meng <mengyutao@deepin.org>  Thu, 06 Jun 2024 13:28:25 +0800

dde-daemon (6.0.40) unstable; urgency=medium

  * chore(deps): bump golang.org/x/net from 0.17.0 to 0.23.0
    fix: the dock icon of deepin-terminal quake mode is missing

 -- Yutao Meng <mengyutao@deepin.org>  Tue, 04 Jun 2024 13:11:52 +0800

dde-daemon (6.0.39) unstable; urgency=medium

  * fix: fix a crash

 -- zsien <quezhiyong@deepin.org>  Mon, 29 Apr 2024 16:16:33 +0800

dde-daemon (6.0.38) unstable; urgency=medium

  * feat: refactor default-file-manager
  * fix: the dock entry of deepin-system-monitor is incorrect

 -- dengbo <dengbo@deepin.org>  Tue, 23 Apr 2024 13:50:51 +0800

dde-daemon (6.0.37) unstable; urgency=medium

  * fix: pressing the shortcut key will hide the launchpad

 -- zsien <quezhiyong@deepin.org>  Fri, 12 Apr 2024 14:14:27 +0800

dde-daemon (6.0.36) unstable; urgency=medium

  * chore: update translations
  * chore: change the uninstall app notification wording
  * chore(deps): bump google.golang.org/protobuf from 1.30.0 to 1.33.0
  * chore: tidyup code
  * chore: rename file to manager_tlp.go
  * chore(power)!: remove lmt logic prepare for tlp

 -- zsien <quezhiyong@deepin.org>  Fri, 22 Mar 2024 14:43:04 +0800

dde-daemon (6.0.35) unstable; urgency=medium

  *  fix: use sha256 generate desktop name

 -- dengbo <dengbo@deepin.org>  Wed, 31 Jan 2024 15:38:35 +0800

dde-daemon (6.0.34) unstable; urgency=medium

  * revert fix for keybinding for linglong

 -- chenhongtao <chenhongtao@deepin.org>  Fri, 26 Jan 2024 16:31:11 +0800

dde-daemon (6.0.33) unstable; urgency=medium

  * fix: keybinding cmd split error
  * fix: set the default value of statusNotifierHost to true

 -- dengbo <dengbo@deepin.org>  Thu, 25 Jan 2024 17:22:45 +0800

dde-daemon (6.0.32) unstable; urgency=medium

  * fix: nm log level error
  * fix: toggle button do not work
  * fix: invalid timezone during set dateTime

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 16 Jan 2024 14:36:52 +0800

dde-daemon (6.0.31) unstable; urgency=medium

  * feat: support to set anykind of grub theme
  * fix: export prxoy env error
  * fix: not locked after turning off the screen

 -- dengbo <dengbo@deepin.org>  Fri, 05 Jan 2024 13:51:05 +0800

dde-daemon (6.0.30) unstable; urgency=medium

  * fix: network need to disable twice
  * fix: fix: pstate file exist but not enable
  * feat: betterperformancelogic
  * feat: add window keybinding

 -- dengbo <dengbo@deepin.org>  Fri, 22 Dec 2023 13:03:55 +0800

dde-daemon (6.0.29) unstable; urgency=medium

  * fix: wifi device not enable
  * fix: dde-control-center timedate show empty

 -- dengbo <dengbo@deepin.org>  Tue, 28 Nov 2023 10:17:15 +0800

dde-daemon (6.0.28) unstable; urgency=medium

  * fix: delete timezone not update config file
  * fix: keybinding not valid
  * feat: add audio server switch support
  * feat: add audio translate
  * feat: update icon name

 -- bluesky <chenchongbiao@deepin.org>  Thu, 16 Nov 2023 10:39:46 +0800

dde-daemon (6.0.27) unstable; urgency=medium

  * fix: special keybinding is not effective
  * feat: keybinding adapt new am

 -- dengbo <dengbo@deepin.org>  Mon, 06 Nov 2023 16:18:50 +0800

dde-daemon (6.0.26) unstable; urgency=medium

  * feat: support balance_performance
  * fix: dde-session-daemon panic error
  * fix: timezone set error

 -- dengbo <dengbo@deepin.org>  Thu, 02 Nov 2023 13:53:20 +0800

dde-daemon (6.0.25) unstable; urgency=medium

  * fix: bash is not default SHELL for new user
  * fix: time show error when set timezone not in global time zone

 -- dengbo <dengbo@deepin.org>  Thu, 26 Oct 2023 10:34:55 +0800

dde-daemon (6.0.24) unstable; urgency=medium

  * feat: add pause player interface
  * fix: keybing action cmd error
  * chore: remove unneeded sed in PKGBUILD
  * feat: make low power setting configurable
  * fix: low battery is not saved in config
  * fix: power save mode button status error

 -- chenhongtao <chenhongtao@deepin.org>  Thu, 19 Oct 2023 10:26:50 +0800

dde-daemon (6.0.23) unstable; urgency=medium

  * chore: release with go-dbus-factory
  * feat: support config low power setting

 -- chenhongtao <chenhongtao@deepin.org>  Wed, 11 Oct 2023 10:15:15 +0800

dde-daemon (6.0.22) unstable; urgency=medium

  * fix: battery governor changed, mode not be changed
  * fix: power interface call error

 -- chenhongtao <chenhongtao@deepin.org>  Thu, 14 Sep 2023 13:10:15 +0800

dde-daemon (6.0.21) unstable; urgency=medium

  * fix: touchpad enable status misjudgment

 -- dengbo <dengbo@deepin.org>  Mon, 11 Sep 2023 13:10:15 +0800

dde-daemon (6.0.20) unstable; urgency=medium

  * fix: tpad enable status misjudgment

 -- dengbo <dengbo@deepin.org>  Wed, 06 Sep 2023 10:12:35 +0800

dde-daemon (6.0.19) unstable; urgency=medium

  * feat: New keyring white box solution decouples dde-daemon and removes relevant code
  * fix: launch incorrect pipewire service
  * feat: support amdpstate
  * fix(langselector): notify is wrong when set region
  * chore: update translations
  * chore: modify the startup order of session daemon

 -- dengbo <dengbo@deepin.org>  Mon, 28 Aug 2023 14:29:50 +0800

dde-daemon (6.0.18) unstable; urgency=medium

  * feat: bluetooth battery
  * remove syslog in deepin-accounts1-daemon.service
  * feat: support pipewire
  * feat: region set

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 08 Aug 2023 14:09:20 +0800



## dde-daemon 6.0.47

=== debian/changelog ===
dde-daemon (6.0.47) unstable; urgency=medium

  * feat: 完善盒盖状态插拔电源动作
  * feat: 修复使用快捷键后键盘失灵问题

 -- Chengqi E <echengqi@uniontech.com>  Mon, 20 Jan 2025 09:49:40 +0800

dde-daemon (6.0.46) unstable; urgency=medium

  * feat: 修复安全漏洞

 -- fuleyi <fuleyi@uniontech.com>  Tue, 26 Nov 2024 16:49:40 +0800

dde-daemon (6.0.45) unstable; urgency=medium

  * chore: 同步专业版方案，移除飞行模式蓝牙控制代码 (#649)

 -- fuleyi <fuleyi@uniontech.com>  Wed, 28 Aug 2024 17:16:06 +0800

## dde-daemon 6.0.48

=== debian/changelog ===
dde-daemon (6.0.48) unstable; urgency=medium

  * fix: 修复笔记本插拔外接电源时,屏幕自动变为待机状态

 -- Chengqi E <echengqi@uniontech.com>  Tue, 21 Jan 2025 11:30:40 +0800

## dde-daemon 6.0.49

=== debian/changelog ===
dde-daemon (6.0.49) unstable; urgency=medium

  * fix: 修复认证漏洞

 -- zyz <zhaoyingzhen@uniontech.com>  Tue, 21 Jan 2025 11:30:40 +0800

=== debian/control ===
--- 
+++ 
@@ -28,11 +28,12 @@
  golang-github-rickb777-date-dev,
  golang-github-smartystreets-goconvey-dev,
  golang-github-teambition-rrule-go-dev,
+ golang-github-adrg-xdg-dev,
  golang-go,
  golang-golang-x-sys-dev,
  golang-golang-x-xerrors-dev,
  golang-gopkg-check.v1-dev,
- golang-gopkg-yaml.v2-dev,
+ golang-gopkg-yaml.v3-dev,
  golang-google-protobuf-dev,
  golang-github-mdlayher-netlink-dev,
  golang-github-jouyouyun-hardware-dev,
@@ -70,7 +71,6 @@
  deepin-installer-timezones,
  deepin-proxy,
  deepin-sound-theme,
- deepin-wm | deepin-metacity | dde-kwin,
  dmidecode,
  dnsmasq-base,
  gnome-keyring,
@@ -80,9 +80,7 @@
  ipwatchd,
  iso-codes,
  lastore-daemon,
- libfprint0 | libfprint | libfprint-2-2,
- libnl-3-200,
- libnl-genl-3-200,
+ libfprint-2-2,
  libnotify-bin,
  libpam-runtime (>= 1.1.3-2~),
  libpam0g,
@@ -94,7 +92,7 @@
  user-setup,
  xdotool,
  xkb-data,
- dde-dconfig-daemon,
+ systemd-timesyncd,
  ${dist:Depends},
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 export GOCACHE = /tmp/gocache
 export GOPATH = /usr/share/gocode
+export GO111MODULE=off
 
 SYSTYPE=Desktop
 SYSTYPE=$(shell cat /etc/deepin-version | grep Type= | awk -F'=' '{print $$2}')
@@ -11,10 +12,6 @@
 ifeq ($(SYSTYPE), Desktop)
 override_dh_gencontrol:
 	dh_gencontrol -- -Vdist:Depends="fprintd, libpam-fprintd"
-endif
-
-ifneq ($(DEB_BUILD_ARCH), mips64el)
-	export GOBUILD_OPTIONS=-ldflags '-linkmode=external -extldflags "-pie"'
 endif
 
 %:

## dde-daemon 6.1.27

=== debian/changelog ===
dde-daemon (6.1.27) unstable; urgency=medium

  * fix: 解决屏保没有同步的问题
  * fix: 解决kwin升级后导致快捷键的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 17 Apr 2025 20:48:57 +0800

dde-daemon (6.1.26) unstable; urgency=medium

  * chore: display & xsettings moved to dde-daemon

 -- fuleyi <fuleyi@uniontech.com>  Wed, 02 Apr 2025 14:26:56 +0800

dde-daemon (6.1.25) unstable; urgency=medium

  * fix: 用户添加删除壁纸，发送信号
  * fix: 热键使用dde-am启动应用，兼容玲珑应用

 -- fuleyi <fuleyi@uniontech.com>  Thu, 27 Mar 2025 14:43:33 +0800

dde-daemon (6.1.24) unstable; urgency=medium

  * fix: 解决控制中心设置启动动画尺寸后，重启无法进入系统的问题
  * fix: 磁盘不足的通知，前往清理的文案没有翻译 

 -- fuleyi <fuleyi@uniontech.com>  Thu, 13 Mar 2025 17:07:00 +0800

dde-daemon (6.1.23) unstable; urgency=medium

  * feat: custom wallpaper maximum 20

 -- fuleyi <fuleyi@uniontech.com>  Wed, 05 Mar 2025 17:35:43 +0800

dde-daemon (6.1.22) unstable; urgency=medium

  * fix: 解决磐石系统下uadp存储的问题

 -- Chengqi E <echengqi@uniontech.com>  Thu, 27 Feb 2025 16:04:06 +0800

dde-daemon (6.1.21) unstable; urgency=medium

  * fix: 解决磐石系统下设置不了壁纸的问题
  * chore: 解决壁纸没有保存的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 20 Feb 2025 17:34:06 +0800

dde-daemon (6.1.20) unstable; urgency=medium

  * fix: 修复台式机电源管理中使用电源界面,显示有笔记本合盖时设置项问题
  * fix: Accept bluetooth file notification will never timeout (#743)
  * fix: 修复低电量阈值下拉框显示空白问题
  * fix: 修复电源管理模块崩溃问题
  * fix: 修复手势翻译错误的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 13 Feb 2025 15:28:30 +0800

dde-daemon (6.1.19) unstable; urgency=medium

  * fix: 解决切换grub启动菜单失败的问题

 -- fuleyi <fuleyi@uniontech.com>  Fri, 24 Jan 2025 09:59:48 +0800

dde-daemon (6.1.18) unstable; urgency=medium

  * fix: 设置手势的动作后，发送infos变化的信号

 -- fuleyi <fuleyi@uniontech.com>  Thu, 16 Jan 2025 17:38:52 +0800

dde-daemon (6.1.17) unstable; urgency=medium

  * feat: 设置三指短触手势为打开关闭全局搜索
  * fix: 添加窗口铺至左右侧快捷键的翻译，更新go.mod
  * fix: 优化触控板逻辑
  * fix: 手势动作支持设置

 -- fuleyi <fuleyi@uniontech.com>  Thu, 09 Jan 2025 11:18:00 +0800

dde-daemon (6.1.16) unstable; urgency=medium

  * fix: 适配libinput的升级，解决收不到tap事件的问题
  * fix: 解决ImageEffect1接口调用失败的问题
  * fix: 由于权限管控，预先创建/var/cache/deepin/dde-daemon目录

 -- fuleyi <fuleyi@uniontech.com>  Fri, 03 Jan 2025 11:03:48 +0800

dde-daemon (6.1.15) unstable; urgency=medium

  * fix: 适配pipewire，解决音频设备模式切换失败的问题

 -- fuleyi <fuleyi@uniontech.com>  Tue, 24 Dec 2024 11:43:20 +0800

dde-daemon (6.1.14) unstable; urgency=medium

  * fix: 解决禁用触控板无法禁用的问题
  * fix: 修复按电源键“关闭显示器”无法再次按电源键点亮显示器问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 19 Dec 2024 11:10:23 +0800

dde-daemon (6.1.13) unstable; urgency=medium

  * fix: 定时关闭倒计时通知取消关闭按钮
  * feat: 音频单声道设置取消pipewire限制
  * feat: 音频框架默认pipewire，且treeland环境强制切换为pipewire框架
  * feat: 设置默认主题为nirvana
  * chore: update translations

 -- fuleyi <fuleyi@uniontech.com>  Fri, 13 Dec 2024 14:47:41 +0800

dde-daemon (6.1.12) unstable; urgency=medium

  * fix: 解决dconfig属性类型不对导致崩溃的问题
  * fix: 修复节能设置中低电量时自动开启节能模式和使用电池时自动开启节能模式默认值与需求不符问题
  * fix: 解决安全加固导致image-blur创建不了文件的问题
  * fix: treeland下可以导出StatusNotifierWatcher接口

 -- fuleyi <fuleyi@uniontech.com>  Fri, 06 Dec 2024 17:17:38 +0800

dde-daemon (6.1.11) unstable; urgency=medium

  * feat: 修改语音朗读快捷键动作
  * feat: treeland环境下音频框架默认使用pipewire

 -- fuleyi <fuleyi@uniontech.com>  Fri, 29 Nov 2024 11:34:39 +0800

dde-daemon (6.1.10) unstable; urgency=medium

  * feat: 修复安全漏洞

 -- fuleyi <fuleyi@uniontech.com>  Fri, 22 Nov 2024 10:59:32 +0800

dde-daemon (6.1.9) unstable; urgency=medium

  * feat: automatic switch power saving mode threshold
  * fix: 创建配置目录: /var/lib/dde-daemon
  * fix: 解决power的dconfig配置初始化失败的问题
  * fix: 解决热键不响应问题
  * chore: 更正bluez属性Percentage的类型
  * feat: support selecting the action when the battery is low
  * fix: wrong bus name of dde-lock-service

 -- fuleyi <fuleyi@uniontech.com>  Wed, 20 Nov 2024 14:21:58 +0800

dde-daemon (6.1.8) unstable; urgency=medium

  * fix: 修复用户体验计划不可用问题
  * chore: 修改遗漏的dbus接口变更
  * chore: 解决super+lock不锁屏的问题
  * chore: 添加时区，并且将时间的配置改为dconfig控制

 -- fuleyi <fuleyi@uniontech.com>  Thu, 07 Nov 2024 13:49:01 +0800

dde-daemon (6.1.7) unstable; urgency=medium

  * chore: 修改网络代理dbus接口名称

  -- caixiangrong <caixiangrong@uniontech.com>  Thu, 24 Oct 2024 17:15:40 +0800

dde-daemon (6.1.6) unstable; urgency=medium

  * feat: 解决dde-system-daemon服务启动不了的问题 (#663)

 -- fuleyi <fuleyi@uniontech.com>  Tue, 22 Oct 2024 17:03:02 +0800

dde-daemon (6.1.5) unstable; urgency=medium

  * feat: 解决dde-system-daemon服务启动不了的问题 (#663)

 -- fuleyi <fuleyi@uniontech.com>  Tue, 22 Oct 2024 13:20:09 +0800

dde-daemon (6.1.4) unstable; urgency=medium

  * feat: 增加deepin-daemon和deepin-admin-daemon两个用户

 -- fuleyi <fuleyi@uniontech.com>  Mon, 21 Oct 2024 19:14:24 +0800

dde-daemon (6.1.3) unstable; urgency=medium

  * 添加dde-session-daemon 的service文件

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Oct 2024 19:08:32 +0800

dde-daemon (6.1.2) unstable; urgency=medium

  * chore:修复dde-daemon编译问题
  * chore: remove deprecated ioutil
  * chore: systemd hardening
  * chore: systemd文件调整，makefile去掉冗余的安装 (linuxdeepin#654)

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Oct 2024 14:34:13 +0800

dde-daemon (6.1.1) unstable; urgency=medium

  * chore: cherry-pick paths from professional

 -- fuleyi <fuleyi@uniontech.com>  Mon, 02 Sep 2024 15:18:43 +0800

dde-daemon (6.1.0) unstable; urgency=medium

  * 1070代码迁移，接口调整为v23风格

 -- fuleyi <fuleyi@uniontech.com>  Tue, 16 Jul 2024 09:47:14 +0800

dde-daemon (5.15.13.1) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 监听飞行模式和WIFI状态改变时使用定时显示OSD(Bug: 189383)(Influence: 显示飞行模式OSD时不显示WIFI连接OSD)
  * chore: 增加lastore日志(Influence: 日志)
  * fix: 修复播放器无法暂停导致音频服务阻塞问题(Bug: 198489)(Influence: 声音)
  * fix: dconfig类型默认为float64，直接转化成uint32会导致崩溃(Influence: dde-session-daemon崩溃)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 13 Jun 2023 10:57:33 +0800

dde-daemon (5.15.12.3) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 修复战斗版镜像待机/休眠后无法通过电源键唤醒的问题(Bug: 196477)(Influence: 待机/休眠功能)
  * fix: 修复待机唤醒后黑屏问题(Bug: 196477)(Influence: 修复待机唤醒后黑屏问题)


=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,11 @@
 	true
 endif
 
+override_dh_auto_install:
+	dh_auto_install
+	dh_installsysusers  dde-daemon.sysusers
+	dh_installtmpfiles dde-daemon.tmpfiles
+
 ifeq ($(DEB_BUILD_ARCH), mipsel)
 override_dh_auto_configure:
 	# mate-screenshot -a grab the area screen
@@ -38,6 +43,8 @@
 	dh_auto_install
 	rm debian/dde-daemon/etc/default/grub.d/10_deepin.cfg
 	rm debian/dde-daemon/etc/grub.d/35_deepin_gfxmode
+	dh_installsysusers  dde-daemon.sysusers
+	dh_installtmpfiles dde-daemon.tmpfiles
 endif
 
 ifeq ($(DEB_BUILD_ARCH), mips64el)
@@ -46,7 +53,13 @@
 	rm debian/dde-daemon/etc/default/grub.d/10_deepin.cfg
 	install -d debian/dde-daemon/lib/systemd/system-sleep/
 	install misc/scripts/dde-system-daemon-power-refresh.sh debian/dde-daemon/lib/systemd/system-sleep/
+	dh_installsysusers  dde-daemon.sysusers
+	dh_installtmpfiles dde-daemon.tmpfiles
 endif
 
 override_dh_installsystemd:
 	dh_installsystemd --no-start
+
+override_dh_auto_clean:
+	dh_auto_clean --
+	rm -fr obj-x86_64-linux-gnu
